﻿using ComputerShopDataModels.Enums;
using ComputerShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BindingModels
{
    public class SupplyBindingModel : ISupplyModel
    {
        public int Id { get; set; }
        public SupplyStatus Status { get; set; } = SupplyStatus.Неизвестен;

        public DateTime DateCreate { get; set; } = DateTime.Now;

        public DateTime? DateImplement { get; set; }

        public Dictionary<int, (IOrderModel, int)> SupplyOrders
        {
            get;
            set;
        } = new();
    }
}
